#include <DallasTemperature.h>
#include <OneWire.h>

#define ONE_WIRE_BUS 7
OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

void setup()
{
  Serial.begin(9600);
  sensors.begin();
}

void loop()
{
  sensors.requestTemperatures();
  float T = sensors.getTempCByIndex(0);
  String msg = "DATA" ;
  msg = msg + ":TIME:" + String(millis() ) ;
  msg = msg + ":T:" + String(T, 1) ;
  Serial.println(msg) ;
  delay(1000) ;
}
